libjson-perl (4.02000-2) unstable; urgency=medium

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add "Multi-Arch: foreign" (Closes: #946357)

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Jan 2020 17:18:56 +0100

libjson-perl (4.02000-1) unstable; urgency=medium

  * Import upstream version 4.02000.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Feb 2019 15:56:57 +0100

libjson-perl (4.01000-1) unstable; urgency=medium

  * Import upstream version 4.01000.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Jan 2019 20:16:37 +0100

libjson-perl (4.00000-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org
  * Import upstream version 4.00000 (Closes: #601718)
  * Update upstream/metadata
  * Declare compliance with policy 4.2.1

 -- Xavier Guimard <yadd@debian.org>  Sun, 09 Dec 2018 14:05:53 +0100

libjson-perl (2.97001-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ gregor herrmann ]
  * Import upstream version 2.97001.
  * debian/watch: add uversionmangle in case upstream goes back from
    5-digit to 2-digit minor versions.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jan 2018 18:34:14 +0100

libjson-perl (2.94-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Nathan Handler from Uploaders. Thanks for your work!

  * Import upstream version 2.94.
  * Remove POD formatting from debian/upstream/metadata.
  * Drop wording.patch, applied upstream.
  * Update years of upstream and packaging copyright.
  * Bump debhelper compatibility level to 9.
  * Drop unneeded versioned Suggests.
  * Drop debian/tests/pkg-perl/syntax-skip.
    Not needed after the Suggests is gone from debian/control.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Jun 2017 22:11:04 +0200

libjson-perl (2.90-1) unstable; urgency=medium

  [ gregor herrmann ]
  * New upstream release.
    Fixes "FTBFS: Recursive inheritance detected"
    (Closes: #791709)
  * Declare compliance with Debian Policy 3.9.5.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.
  * Add patch to fix language in documentation.

 -- gregor herrmann <gregoa@debian.org>  Tue, 07 Jul 2015 21:31:15 +0200

libjson-perl (2.61-1) unstable; urgency=low

  * Team upload

  * Imported Upstream version 2.61
    + fixes ->is_xs and ->is_pp methods

 -- Damyan Ivanov <dmn@debian.org>  Sat, 19 Oct 2013 22:04:34 +0300

libjson-perl (2.59-1) unstable; urgency=low

  [ Xavier Guimard ]
  * Imported Upstream version 2.59

  [ gregor herrmann ]
  * Make build depencency / recommendation on libjson-xs-perl versioned.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 15:49:16 +0200

libjson-perl (2.58-1) unstable; urgency=low

  * Imported Upstream version 2.58

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 25 May 2013 08:20:47 +0200

libjson-perl (2.57-1) unstable; urgency=low

  * Imported Upstream version 2.57
  * Update debian/copyright years

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 14 Apr 2013 06:49:06 +0200

libjson-perl (2.53-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Angel Abad ]
  * Email change: Angel Abad -> angel@debian.org

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Nathan Handler ]
  * Email change: Nathan Handler -> nhandler@debian.org

  [ Xavier Guimard ]
  * Update debian/copyright (years and format)
  * Bump Standards-Version to 3.9.4
  * Replace libjson-pp-perl by "perl (>= 5.13.9) | libjson-pp-perl" in
    suggests

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 26 Jan 2013 12:51:44 +0100

libjson-perl (2.53-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Update copyright years
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Mon, 23 May 2011 15:22:51 +0200

libjson-perl (2.51-1) unstable; urgency=low

  * New upstream release
    + Updates bundled PP implementation to 2.27105
  * Bump debhelper compat to 8

 -- Jonathan Yu <jawnsy@cpan.org>  Wed, 09 Mar 2011 19:52:29 -0500

libjson-perl (2.50-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Rewrite control description
  * Add myself to Uploaders and Copyright
  * Provide NEWS for the upstream change to JSON::backportPP
  * Package now Suggests installation of libjson-pp-perl

  [ gregor herrmann ]
  * Remove version from libtest-pod-perl build dependency, already satisfied
    before etch.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 26 Feb 2011 10:12:38 -0500

libjson-perl (2.27-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Update my email address.

  [ Angel Abad ]
  * New upstream release
  * debian/copyright: Update license information

 -- Angel Abad <angelabad@gmail.com>  Tue, 02 Nov 2010 15:29:32 +0100

libjson-perl (2.26-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Update license information
  * debian/libjson-perl.examples: Add example files

 -- Angel Abad <angelabad@gmail.com>  Tue, 28 Sep 2010 21:48:33 +0200

libjson-perl (2.22-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update license stanzas.
  * Set Standards-Version to 3.9.1 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Aug 2010 16:23:32 +0200

libjson-perl (2.21-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Mon, 05 Apr 2010 14:54:11 +0200

libjson-perl (2.20-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Apr 2010 18:42:07 +0200

libjson-perl (2.19-1) unstable; urgency=low

  * New upstream release
  * Remove patch spelling_errors, now in upstream
  * Remove quilt framework

 -- Angel Abad <angelabad@gmail.com>  Tue, 30 Mar 2010 11:46:07 +0200

libjson-perl (2.18-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added me to Uploaders, Standards-Version updated to 3.8.4
    without any changes
  * debian/copyright: Added me to Copyrighters
  * debian/source/format created as "3.0 (quilt)"

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Wed, 24 Mar 2010 12:36:35 +0100

libjson-perl (2.17-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: bump versioned build dependency/recommendation on
    libjson-xs-perl to >= 2.270.

  [ Angel Abad ]
  * New upstream release
  * Update copyright file
  * Add patch to fix manpages spelling errors; add quilt framework
  * debian/NEWS: Remove * characters

 -- Angel Abad <angelabad@gmail.com>  Sun, 10 Jan 2010 03:23:36 +0100

libjson-perl (2.16-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Angel Abad ]
  * New upstream release
  * Update my email address
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3)
  * Standards-Version: 3.8.3

  [ gregor herrmann ]
  * debian/control: bump versioned build dependency/recommendation on
    libjson-xs-perl to >= 2.260.

 -- Angel Abad <angelabad@gmail.com>  Sat, 17 Oct 2009 11:29:27 +0200

libjson-perl (2.15-1) unstable; urgency=low

  [ Nathan Handler ]
  * New upstream release
  * debian/control:
    - Add myself to Uploaders list
    - Bump Standards-Version to 3.8.1 (No changes)
  * debian/copyright:
    - Update years for 2009

  [ gregor herrmann ]
  * debian/control: bump versioned build dependency/recommendation on
    libjson-xs-perl to >= 2.24.

 -- Nathan Handler <nhandler@ubuntu.com>  Wed, 03 Jun 2009 03:09:06 +0000

libjson-perl (2.14-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Tue, 24 Feb 2009 09:41:30 +0100

libjson-perl (2.13-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Ansgar Burchardt ]
  * New upstream release.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 22 Feb 2009 14:55:50 +0100

libjson-perl (2.12-1) unstable; urgency=low

  * New upstream release (closes: #501335)
  * Take over for the Debian Perl Group on maintainer's request
    (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501335)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Ivan Kohler <ivan-
    debian@420.am>); Ivan Kohler <ivan-debian@420.am> moved to
    Uploaders.
  * Add Angel Abad to Uploaders
  * New Standards-Version 3.8.0
  * Update debhelper dependency
  * Update debian/copyright
  * Update debian/watch
  * Update debian/rules
  * Add libtest-pod-perl to Build-Depends-Indep
  * Upgrade to debhelper 7
  * Don't install README any more (just a text version of the POD
    documentation).
  * Build-Depends-Indep and Recommends libjson-xs-perl (>= 2.22)

 -- Angel Abad (Ikusnet SLL) <angel@grupoikusnet.com>  Sun, 12 Oct 2008 13:35:56 +0200

libjson-perl (2.07-1) unstable; urgency=low

  * New upstream release
  * Update debian/rules to current dh-make-perl template to fix "unconditional
    rmdir" FTBFS (closes: Bug#467886)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 27 Feb 2008 15:37:42 -0800

libjson-perl (2.04-1) unstable; urgency=low

  * New upstream release
  * Added warning about v1->v2 API changes to NEWS for apt-listchanges
    (closes: Bug#457600)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 16 Jan 2008 14:49:55 -0800

libjson-perl (2.01-1) unstable; urgency=low

  * New upstream release (closes: Bug#457600)

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 23 Dec 2007 12:38:39 -0800

libjson-perl (1.14-1) unstable; urgency=low

  * New upstream release.
  * Update watchfile to an http-style one like that generated by current
    dh-make-perl (closes: Bug#449802)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 07 Nov 2007 13:12:43 -0800

libjson-perl (1.00-2) unstable; urgency=low

  * Build-Depend on libwww-perl, patch from Andreas Jochens
    (closes: Bug#335973)

 -- Ivan Kohler <ivan-debian@420.am>  Tue,  1 Nov 2005 03:15:29 -0800

libjson-perl (1.00-1) unstable; urgency=low

  * New upstream release
  * Upload to archive (closes: Bug#330010).

 -- Ivan Kohler <ivan-debian@420.am>  Sun,  9 Oct 2005 15:12:06 -0700

libjson-perl (0.991-1) unstable; urgency=low

  * Initial Release.

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 24 Sep 2005 23:50:04 -0700
